@import "../fonts/Roboto_Condensed/style.css";

$mainColor: #FF470A;

$mainFontColor: #5b5b5b;

body {
	font-family: Roboto Condensed, sans-serif;
	color: $mainFontColor;
	font-size: 16px;
}

.login-form {
    width: 345px;
    background: #F3F3F3;
    position: fixed; top: 50%; left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    font-weight: 400;
    font-style: normal;
    padding-bottom: 15px;
    color: #191919;

    .header {
	    height: 40px;
	    background: $mainColor;
	    display: flex;
	    justify-content: center;
	    align-items: center;
	    padding: 5px 0;

	    .logo {
	    	height: 40px;
	    	img {
	    		height: 40px;
	    	}
	    }
	}

	.alert-danger {
		margin-top: 10px;
		text-align: center;
		color: $mainColor;
	}
	.alert-info {
		margin-top: 10px;
		text-align: center;
	}

	.content {
    	padding: 0 23px;
    	.title {
		    font-size: 22px;
		    font-weight: 700;
		    text-transform: uppercase;
		    text-align: center;
		    margin: 15px 0;
		}

		.form  {
			form {
		    	display: flex;
		    	flex-direction: column;

		    	input {
				    margin-bottom: 20px;
				    font-size:  20px;
				    height:  50px;
				    padding: 0 10px;
				    &.error {
				    	border: 1px solid $mainColor;
				    }
				}
		    }

		    button {
			    width: 200px;
			    margin: 0 auto;
			    background: $mainColor;
			    border: 1px solid $mainColor;
			    color: #FFF;
			    text-transform: uppercase;
			    font-weight: 700;
			    padding: 10px 0;
			    cursor: pointer;
			    &:hover {
				    box-shadow: 0px 0px 5px 0px $mainColor;
				}
			}
		}

		.login-social {
			.title {
			    margin-bottom: 5px;
			}
			.links {
			    display: flex;
			    justify-content: center;
			    a {
			    	img {
    					width: 40px;
					}

			    	&:first-child {
					    margin-right: 10px;
					}
			    }
			}
			.description {
			    font-size: 12px;
			    margin: 5px auto;
			}
		}

		.remember {
			.checkbox {
				text-align: center;
				label {
					font-weight: 700;
				    font-size: 14px;
				    margin-top: 7px;
				}

				.remember-me {
					position: absolute;
				    z-index: -1;
				    opacity: 0;
				    &+label {
					    display: inline-flex;
					    align-items: center;
					    user-select: none;
					    cursor: pointer;
				    }
				    &+label::before {
					    content: '';
					    display: inline-block;
					    width: 1em;
					    height: 1em;
					    flex-shrink: 0;
					    flex-grow: 0;
					    border: 1px solid #adb5bd;
					    border-radius: 0.25em;
					    margin-right: 0.5em;
					    background-repeat: no-repeat;
					    background-position: center center;
					    background-size: 50% 50%;
					}
					&:not(:disabled):not(:checked)+label:hover::before {
						border-color: $mainColor;
					}
					&:not(:disabled):active+label::before {
						background-color: $mainColor;
    					border-color: $mainColor;
					}
					&:checked+label::before {
						border-color: $mainColor;
					    background-color: $mainColor;
					    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
					}
				}
			}
		}
	}
}